{
  config,
  inputs,
  ...
}:
let
  inherit (config.modules.meta) username;
in
{
  imports = [
    ../../modules/home-manager.nix
    inputs.home-manager.nixosModules.home-manager
  ];

  home-manager.users.${username} = {
    imports = [
      ../../home
    ];

    programs = {
      beets.enable = true;
      ssh.enable = true;
    };

    services = {
      blueman-applet.enable = true;
      syncthing.enable = true;
    };

    home = {
      inherit (config.system) stateVersion;
      inherit username;
    };
  };
}
