{ pkgs, libmy, ... }:
let
  inherit (libmy) getExe;
in
{
  rum.programs.git = {
    enable = true;
    settings = {
      user = {
        email = "git@ccnlc.eu";
        name = "nydragon";
        signingKey = "key::ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIMvPqWPXEUOSMGMIRmirQfbrzq//NkPlEI2TmFpIkSfw";
      };
      gpg.format = "ssh";
      push = {
        autoSetupRemote = true;
      };
      pull = {
        rebase = true;
      };
      core = {
        editor = "${getExe pkgs.neovim}";
        pager = "${getExe pkgs.delta}";
      };
      interactive = {
        diffFilter = "${getExe pkgs.delta} --color-only";
      };
      init = {
        defaultBranch = "main";
      };
      merge = {
        conflictstyle = "diff3";
      };
      diff = {
        colorMoved = "default";
      };
      tag.gpgSign = true;
      commit.gpgSign = true;
    };
    destination = ".config/git/config";
  };
}
